com.jacob.com

## Class WrongThreadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.jacob.com.JacobException
        - - com.jacob.com.WrongThreadException

- All Implemented Interfaces:
    java.io.Serializable

      public class WrongThreadException
      extends JacobException

  thrown in util.cpp
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrongThreadException()` standard 0 arg constructor with no message
    `WrongThreadException(java.lang.String s)` standard constructor with a string message

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrongThreadException

          public WrongThreadException()

      standard 0 arg constructor with no message

    - #### WrongThreadException

          public WrongThreadException(java.lang.String s)

      standard constructor with a string message
      Parameters:
        `s` -

http://jacob-project.sourceforge.net